For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/site/tour

get

Get tour details

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
touridintegerRequired
formattedstringOptionalDefault: 0
pagestringOptional
Responses
200

success

successbooleanOptionalExample: true
get/api/site/tour
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'tourid' => 2,
		'formatted' => 1
	);

$request = array(
	'method' => 'GET',
	'path' => 'site/tour',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "tour": {
    "fields": [
      {
        "name": "siteid",
        "display": "Site ID",
        "page": "none",
        "section": "none",
        "readonly": 1,
        "can_inherit": 0,
        "value": "2",
        "display_value": "2"
      },
      {
        "name": "networkid",
        "display": "Network ID",
        "page": "none",
        "section": "none",
        "readonly": 1,
        "can_inherit": 0,
        "value": "0",
        "display_value": "0"
      },
      {
        "name": "created_datetime",
        "display": "Created",
        "page": "details",
        "section": "main",
        "readonly": 1,
        "can_inherit": 0,
        "value": "2019-08-09 16:29:32",
        "display_value": "2019-08-09 16:29:32"
      },
      {
        "name": "thumb",
        "display": "Thumbnail",
        "page": "none",
        "section": "none",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "thumb_ext",
        "display": "Thumbnail Extension",
        "page": "none",
        "section": "none",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "tourid",
        "display": "Tour ID",
        "page": "details",
        "section": "main",
        "readonly": 1,
        "can_inherit": 0,
        "value": "2",
        "display_value": "2"
      },
      {
        "name": "name",
        "display": "Tour Name",
        "page": "details",
        "section": "main",
        "type": "string",
        "max": 128,
        "readonly": 0,
        "can_inherit": 1,
        "value": "test tour name",
        "display_value": "test tour name"
      },
      {
        "name": "tour",
        "display": "Tour Shortname",
        "page": "details",
        "section": "main",
        "type": "string",
        "readonly": 1,
        "can_inherit": 0,
        "value": "testTour",
        "display_value": "testTour"
      },
      {
        "name": "strack_programid",
        "display": "Default Programid",
        "page": "details",
        "section": "main",
        "type": "select",
        "readonly": 0,
        "can_inherit": 1,
        "values": [
          {
            "value": 0,
            "name": "None"
          }
        ],
        "value": "0",
        "display_value": "0"
      },
      {
        "name": "tour_type",
        "display": "Tour Type",
        "page": "details",
        "section": "main",
        "type": "select",
        "readonly": 0,
        "can_inherit": 0,
        "values": [
          {
            "value": 0,
            "name": "Standard"
          },
          {
            "value": 1,
            "name": "Mobile"
          }
        ],
        "value": "0",
        "display_value": "0"
      },
      {
        "name": "niche",
        "display": "Niches",
        "page": "details",
        "section": "main",
        "type": "string",
        "max": 255,
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "member_captcha",
        "display": "Member CAPTCHA",
        "page": "details",
        "section": "main",
        "type": "checkbox",
        "readonly": 0,
        "can_inherit": 1,
        "value": "0",
        "display_value": "No"
      },
      {
        "name": "default",
        "display": "Default Tour",
        "page": "details",
        "section": "main",
        "type": "checkbox",
        "readonly": 1,
        "can_inherit": 0,
        "value": 1,
        "display_value": "Yes"
      },
      {
        "name": "hidden",
        "display": "Hidden",
        "page": "details",
        "section": "main",
        "type": "checkbox",
        "readonly": 0,
        "can_inherit": 0,
        "value": "0",
        "display_value": "No"
      },
      {
        "name": "description",
        "display": "Description",
        "page": "details",
        "section": "main",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "test tour description",
        "display_value": "test tour description"
      },
      {
        "name": "url",
        "display": "URL",
        "required_note": "",
        "page": "details",
        "section": "urls",
        "readonly": 0,
        "can_inherit": 1,
        "type": "string",
        "max": 128,
        "check": "verify_url",
        "value": "http://toomuchmedia.com",
        "display_value": "http://toomuchmedia.com"
      },
      {
        "name": "linkdomain",
        "display": "Linkdomain",
        "required_note": "",
        "page": "details",
        "section": "urls",
        "type": "string",
        "max": 64,
        "readonly": 0,
        "can_inherit": 1,
        "check": "verify_domain",
        "prepare": "prepare_domain",
        "value": "democash.com",
        "display_value": "democash.com"
      },
      {
        "name": "cookie_domain",
        "display": "Cookie Domain",
        "page": "details",
        "section": "urls",
        "type": "select",
        "readonly": 0,
        "can_inherit": 1,
        "values": [
          {
            "value": 0,
            "name": "Not Set"
          },
          {
            "value": 1,
            "name": "Parent Domain"
          },
          {
            "value": 2,
            "name": "Linkdomain"
          },
          {
            "value": 3,
            "name": "Global Config"
          }
        ],
        "value": "0",
        "display_value": "0"
      },
      {
        "name": "gateway_https",
        "display": "Gateway HTTPS Domain",
        "page": "details",
        "section": "urls",
        "type": "string",
        "max": 64,
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "https_use",
        "display": "HTTPS Use",
        "page": "details",
        "section": "urls",
        "type": "select",
        "readonly": 0,
        "can_inherit": 1,
        "values": [
          {
            "value": 1,
            "name": "No https"
          },
          {
            "value": 10,
            "name": "Use GATEWAY_HTTPS for everything"
          },
          {
            "value": 11,
            "name": "Use GATEWAY_HTTPS for the gateway join page only"
          },
          {
            "value": 12,
            "name": "Use GATEWAY_HTTPS for the gateway join page and return urls"
          },
          {
            "value": 20,
            "name": "Use tour specific linkdomain https for everything"
          },
          {
            "value": 21,
            "name": "Use tour specific linkdomain https for the gateway join page only"
          },
          {
            "value": 22,
            "name": "Use tour specific linkdomain https for the gateway join page and return urls"
          },
          {
            "value": 30,
            "name": "Use default tour linkdomain https for everything"
          },
          {
            "value": 31,
            "name": "Use default tour linkdomain https for the gateway join page only"
          },
          {
            "value": 32,
            "name": "Use default tour linkdomain https for the gateway join page and return urls"
          },
          {
            "value": 40,
            "name": "Use Gateway HTTPS Domain for everything"
          },
          {
            "value": 41,
            "name": "Use Gateway HTTPS Domain for the gateway join page only"
          },
          {
            "value": 42,
            "name": "Use Gateway HTTPS Domain for the gateway join page and return urls"
          }
        ],
        "value": "0",
        "display_value": ""
      },
      {
        "name": "https_tracking",
        "display": "Allow HTTPS on redirects and tracking links",
        "page": "details",
        "section": "urls",
        "type": "checkbox",
        "readonly": 0,
        "can_inherit": 1,
        "value": "0",
        "display_value": "No"
      },
      {
        "name": "https_display",
        "display": "Display HTTPS for tracking links",
        "page": "details",
        "section": "urls",
        "type": "checkbox",
        "readonly": 0,
        "can_inherit": 1,
        "value": "0",
        "display_value": "No"
      },
      {
        "name": "allowed_lang",
        "display": "Allowed Languages",
        "page": "details",
        "section": "language",
        "type": "string",
        "max": 255,
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "allowed_lang_track_raw",
        "display": "Allow Raw Hits",
        "page": "details",
        "section": "language",
        "type": "checkbox",
        "readonly": 0,
        "can_inherit": 0,
        "value": "0",
        "display_value": "No"
      },
      {
        "name": "allowed_lang_track_unq",
        "display": "Allow Unique Hits",
        "page": "details",
        "section": "language",
        "type": "checkbox",
        "readonly": 0,
        "can_inherit": 0,
        "value": "0",
        "display_value": "No"
      },
      {
        "name": "allowed_lang_track_join",
        "display": "Allow Join Hits",
        "page": "details",
        "section": "language",
        "type": "checkbox",
        "readonly": 0,
        "can_inherit": 0,
        "value": "0",
        "display_value": "No"
      },
      {
        "name": "alternativeurl",
        "display": "Alternative URL",
        "page": "details",
        "section": "language",
        "type": "string",
        "max": 255,
        "readonly": 0,
        "can_inherit": 1,
        "value": null,
        "display_value": null
      },
      {
        "name": "mail_threshold",
        "display": "Subject",
        "required_note": "required to send mail",
        "page": "details",
        "section": "threshold",
        "type": "string",
        "max": 255,
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "admin_threshold_email",
        "display": "Email To",
        "required_note": "required to send mail",
        "page": "details",
        "section": "threshold",
        "type": "string",
        "max": 64,
        "check": "email_check",
        "readonly": 0,
        "can_inherit": 1,
        "value": null,
        "display_value": null
      },
      {
        "name": "threshold_body",
        "display": "Body",
        "page": "details",
        "section": "threshold",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "join_hit_threshold_hour_to_6",
        "display": "Midnight to 6 AM",
        "page": "details",
        "section": "threshold",
        "type": "string",
        "max": 32,
        "readonly": 0,
        "can_inherit": 1,
        "value": null,
        "display_value": null
      },
      {
        "name": "join_hit_threshold_hour_to_12",
        "display": "6 AM to Noon",
        "page": "details",
        "section": "threshold",
        "type": "string",
        "max": 32,
        "readonly": 0,
        "can_inherit": 1,
        "value": null,
        "display_value": null
      },
      {
        "name": "join_hit_threshold_hour_to_18",
        "display": "Noon to 6 PM",
        "page": "details",
        "section": "threshold",
        "type": "string",
        "max": 32,
        "readonly": 0,
        "can_inherit": 1,
        "value": null,
        "display_value": null
      },
      {
        "name": "join_hit_threshold_hour_to_24",
        "display": "6 PM to Midnight",
        "page": "details",
        "section": "threshold",
        "type": "string",
        "max": 32,
        "readonly": 0,
        "can_inherit": 1,
        "value": null,
        "display_value": null
      },
      {
        "name": "join_templates",
        "display": "Join Templates",
        "page": "pages_steps",
        "section": "join",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "templates_section": "join",
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "userpost",
        "display": "Username Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "prejoinpost",
        "display": "Prejoin Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "join_text",
        "display": "Join Form Text",
        "page": "pages_steps",
        "section": "join",
        "type": "string",
        "multiline": 1,
        "readonly": 0,
        "can_inherit": 1,
        "prepare": "trim",
        "value": null,
        "display_value": null
      },
      {
        "name": "join_disclaimer",
        "display": "Join Footer Disclaimer",
        "page": "pages_steps",
        "section": "join",
        "type": "string",
        "multiline": 1,
        "readonly": 0,
        "can_inherit": 1,
        "prepare": "trim",
        "value": null,
        "display_value": null
      },
      {
        "name": "gateway_templates",
        "display": "Gateway Templates",
        "page": "pages_steps",
        "section": "gateway",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "templates_section": "gateway",
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "gateway_join_text",
        "display": "Gateway Form Text",
        "page": "pages_steps",
        "section": "gateway",
        "type": "string",
        "multiline": 1,
        "readonly": 0,
        "can_inherit": 1,
        "prepare": "trim",
        "value": null,
        "display_value": null
      },
      {
        "name": "gateway_join_disclaimer",
        "display": "Gateway Footer Disclaimer",
        "page": "pages_steps",
        "section": "gateway",
        "type": "string",
        "multiline": 1,
        "readonly": 0,
        "can_inherit": 1,
        "prepare": "trim",
        "value": null,
        "display_value": null
      },
      {
        "name": "approval_templates",
        "display": "Approval Template",
        "page": "pages_steps",
        "section": "member_approval",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "approvalurl",
        "display": "Redirect - Approval URL",
        "page": "pages_steps",
        "section": "member_approval",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": null,
        "display_value": null
      },
      {
        "name": "approval_flow",
        "display": "User Flow",
        "page": "pages_steps",
        "section": "member_approval",
        "type": "page_flow",
        "url": "approvalurl",
        "modal": "user_flow",
        "special": 1,
        "readonly": 1,
        "display_value": "Display Template"
      },
      {
        "name": "approvalpost",
        "display": "Signup Approval",
        "page": "posts",
        "section": "pages_steps",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "denial_templates",
        "display": "Upgrade Denial Template",
        "page": "pages_steps",
        "section": "member_upgrade_denial",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "denyurl",
        "display": "Redirect - Denial URL",
        "page": "pages_steps",
        "section": "member_denial",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": null,
        "display_value": null
      },
      {
        "name": "denial_flow",
        "display": "User Flow",
        "page": "pages_steps",
        "section": "member_denial",
        "type": "page_flow",
        "url": "denyurl",
        "modal": "user_flow",
        "special": 1,
        "readonly": 1,
        "display_value": "Display Template"
      },
      {
        "name": "denypost",
        "display": "Signup Denial",
        "page": "posts",
        "section": "pages_steps",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "duplicate_templates",
        "display": "Duplicate Template",
        "page": "pages_steps",
        "section": "member_duplicate",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "dupeurl",
        "display": "Redirect - Duplicate URL",
        "page": "pages_steps",
        "section": "member_duplicate",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "duplicate_flow",
        "display": "User Flow",
        "page": "pages_steps",
        "section": "member_duplicate",
        "type": "page_flow",
        "url": "dupeurl",
        "modal": "user_flow",
        "special": 1,
        "readonly": 1,
        "display_value": "Display Template"
      },
      {
        "name": "upgrade_approval_templates",
        "display": "Upgrade Approval Template",
        "page": "pages_steps",
        "section": "member_upgrade_approval",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "upgradeurl",
        "display": "Redirect - Upgrade Approval URL",
        "page": "pages_steps",
        "section": "member_upgrade_approval",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": null,
        "display_value": null
      },
      {
        "name": "upgrade_approval_flow",
        "display": "User Flow",
        "page": "pages_steps",
        "section": "member_upgrade_approval",
        "type": "page_flow",
        "url": "upgradeurl",
        "modal": "user_flow",
        "special": 1,
        "readonly": 1,
        "display_value": "Display Template"
      },
      {
        "name": "upgradepost",
        "display": "Member Upgrade Approval",
        "page": "posts",
        "section": "pages_steps",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "upgradedenyurl",
        "display": "Redirect - Upgrade Denial URL",
        "page": "pages_steps",
        "section": "member_upgrade_denial",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": null,
        "display_value": null
      },
      {
        "name": "upgrade_denial_flow",
        "display": "User Flow",
        "page": "pages_steps",
        "section": "member_upgrade_denial",
        "type": "page_flow",
        "url": "upgradedenyurl",
        "modal": "user_flow",
        "special": 1,
        "readonly": 1,
        "display_value": "Display Template"
      },
      {
        "name": "upgradedenypost",
        "display": "Member Upgrade Denial",
        "page": "posts",
        "section": "pages_steps",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "package_approval_templates",
        "display": "Upgrade Approval Template",
        "page": "pages_steps",
        "section": "package_upgrade_approval",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "packageurl",
        "display": "Redirect - Upgrade Approval URL",
        "page": "pages_steps",
        "section": "package_upgrade_approval",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": null,
        "display_value": null
      },
      {
        "name": "package_approval_flow",
        "display": "User Flow",
        "page": "pages_steps",
        "section": "package_upgrade_approval",
        "type": "page_flow",
        "url": "packageurl",
        "modal": "user_flow",
        "special": 1,
        "readonly": 1,
        "display_value": "Display Template"
      },
      {
        "name": "packagepost",
        "display": "Package Upgrade Approval",
        "page": "posts",
        "section": "pages_steps",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": null,
        "display_value": null
      },
      {
        "name": "package_denial_templates",
        "display": "Upgrade Denial Template",
        "page": "pages_steps",
        "section": "package_upgrade_denial",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "packagedenyurl",
        "display": "Redirect - Upgrade Denial URL",
        "page": "pages_steps",
        "section": "package_upgrade_denial",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": null,
        "display_value": null
      },
      {
        "name": "package_denial_flow",
        "display": "User Flow",
        "page": "pages_steps",
        "section": "package_upgrade_denial",
        "type": "page_flow",
        "url": "packagedenyurl",
        "modal": "user_flow",
        "special": 1,
        "readonly": 1,
        "display_value": "Display Template"
      },
      {
        "name": "packagedenypost",
        "display": "Package Upgrade Denial",
        "page": "posts",
        "section": "pages_steps",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": null,
        "display_value": null
      },
      {
        "name": "userman",
        "display": "Management URL",
        "page": "posts",
        "section": "userman",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "userman_secret_key",
        "display": "User Management Encryption Key",
        "page": "posts",
        "section": "userman",
        "type": "password",
        "readonly": 0,
        "can_inherit": 1,
        "prepare": "prepare_site_data",
        "value": "",
        "display_value": ""
      },
      {
        "name": "pre_approvalpost",
        "display": "Pre (note) Join Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "pending_ncrpost",
        "display": "Pending NCR Join Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "nocost_approvalpost",
        "display": "NCR Join Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "pre_rebillpost",
        "display": "Pre (note) Rebill Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "pending_approvalpost",
        "display": "Pending Join Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "pending_rebillpost",
        "display": "Pending Rebill Post URL ",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "rebillpost",
        "display": "Rebill Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "cancelpost",
        "display": "Cancel Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "creditpost",
        "display": "Credit Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "chargebackpost",
        "display": "Chargeback Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "insufficient_fundpost",
        "display": "Insufficient Funds Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "voidpost",
        "display": "Void Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "expirepost",
        "display": "Expire Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "change_detailspost",
        "display": "Changed Details Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "credit_reversal_post",
        "display": "Credit Reversal Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "void_reversal_post",
        "display": "Void Reversal Post URL ",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "chargeback_reversal_post",
        "display": "Chargeback Reversal Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "insufficient_funds_reversal_post",
        "display": "Insufficient Funds Reversal Post URL",
        "page": "posts",
        "section": "postbacks",
        "type": "string",
        "readonly": 0,
        "check": "verify_url",
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_joined",
        "display": "Member Join Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_joined_enabled",
        "display": "Enable Member Join",
        "page": "emails",
        "section": "member_emails",
        "type": "checkbox",
        "readonly": 0,
        "can_inherit": 1,
        "value": "0",
        "display_value": "No"
      },
      {
        "name": "mail_member_joined_templates",
        "display": "Member Join Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_nocostjoined",
        "display": "Member No Cost Join Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_nocostjoined_templates",
        "display": "Member No Cost Join Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_cancelled",
        "display": "Member Cancel Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_cancelled_templates",
        "display": "Member Cancel Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_rebilled",
        "display": "Member Rebill Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_rebilled_templates",
        "display": "Member Rebill Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_credited",
        "display": "Member Credit Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_credited_templates",
        "display": "Member Credit Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_chargedback",
        "display": "Member Chargeback Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_chargedback_templates",
        "display": "Member Chargeback Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_insufficient",
        "display": "Member Insufficient Funds Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_insufficient_templates",
        "display": "Member Insufficient Funds Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_voided",
        "display": "Member Void Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_voided_templates",
        "display": "Member Void Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_change",
        "display": "Member Details Change Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_change_templates",
        "display": "Member Details Change Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_password",
        "display": "Member Password Retrieval Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "Password Retrieval",
        "display_value": "Password Retrieval"
      },
      {
        "name": "mail_member_password_templates",
        "display": "Member Password Retrieval Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_insufficient_reversal",
        "display": "Member Insufficient Funds Reversal Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_insufficient_reversal_templates",
        "display": "Member Insufficient Funds Reversal Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_void_reversal",
        "display": "Member Void Reversal Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_void_reversal_templates",
        "display": "Member Void Reversal Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_credit_reversal",
        "display": "Member Credit Reversal Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_credit_reversal_templates",
        "display": "Member Credit Reversal Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_chargeback_reversal",
        "display": "Member Chargeback Reversal Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_chargeback_reversal_templates",
        "display": "Member Chargeback Reversal Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_pre_joined",
        "display": "Member Pre Join Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_pre_joined_templates",
        "display": "Member Pre Join Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_pre_rebilled",
        "display": "Member Pre Rebill Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_pre_rebilled_templates",
        "display": "Member Pre Rebill Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_pending_joined",
        "display": "Member Pending Join Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_pending_joined_templates",
        "display": "Member Pending Join Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_pending_rebilled",
        "display": "Member Pending Rebill Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "mail_member_pending_rebilled_templates",
        "display": "Member Pending Rebill Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "mail_member_pending_ncr",
        "display": "Member Pending No Cost Registration Subject",
        "page": "emails",
        "section": "member_emails",
        "type": "string",
        "readonly": 0,
        "can_inherit": 1,
        "value": "Verify Your Free Registration",
        "display_value": "Verify Your Free Registration"
      },
      {
        "name": "mail_member_pending_ncr_templates",
        "display": "Member Pending No Cost Registration Templates",
        "page": "emails",
        "section": "member_emails",
        "type": "templates",
        "readonly": 1,
        "templates": [],
        "can_inherit": 0,
        "value": null,
        "display_value": false
      },
      {
        "name": "admin_signup_email",
        "display": "Signup E-Mail",
        "page": "emails",
        "section": "admin_emails",
        "type": "string",
        "check": "verify_email_list",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "admin_rebill_email",
        "display": "Rebill E-Mail",
        "page": "emails",
        "section": "admin_emails",
        "type": "string",
        "check": "verify_email_list",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "admin_cancelled_email",
        "display": "Cancelled E-Mail",
        "page": "emails",
        "section": "admin_emails",
        "type": "string",
        "check": "verify_email_list",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "admin_credited_email",
        "display": "Credited E-Mail",
        "page": "emails",
        "section": "admin_emails",
        "type": "string",
        "check": "verify_email_list",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "admin_chargeback_email",
        "display": "Chargeback E-Mail",
        "page": "emails",
        "section": "admin_emails",
        "type": "string",
        "check": "verify_email_list",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "admin_voided_email",
        "display": "Voided E-Mail",
        "page": "emails",
        "section": "admin_emails",
        "type": "string",
        "check": "verify_email_list",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "admin_insufficient_email",
        "display": "Insufficient E-Mail",
        "page": "emails",
        "section": "admin_emails",
        "type": "string",
        "check": "verify_email_list",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "admin_void_reversal_email",
        "display": "Void Reversal E-Mail",
        "page": "emails",
        "section": "admin_emails",
        "type": "string",
        "check": "verify_email_list",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "admin_credit_reversal_email",
        "display": "Credit Reversal E-Mail",
        "page": "emails",
        "section": "admin_emails",
        "type": "string",
        "check": "verify_email_list",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "admin_chargeback_reversal_email",
        "display": "Chargeback Reversal E-Mail",
        "page": "emails",
        "section": "admin_emails",
        "type": "string",
        "check": "verify_email_list",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "admin_insufficient_reversal_email",
        "display": "Insufficient Reversal E-Mail",
        "page": "emails",
        "section": "admin_emails",
        "type": "string",
        "check": "verify_email_list",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      },
      {
        "name": "admin_change_email",
        "display": "Change E-Mail",
        "page": "emails",
        "section": "admin_emails",
        "type": "string",
        "check": "verify_email_list",
        "readonly": 0,
        "can_inherit": 1,
        "value": "",
        "display_value": ""
      }
    ],
    "tourid": "2",
    "name": "test tour name",
    "siteid": "2",
    "tour": "testTour",
    "default": 1,
    "site": {
      "siteid": "2",
      "networkid": "0",
      "site": "testSite",
      "deleted": "0",
      "name": "test site name",
      "type": "0",
      "hidden": "0",
      "date_added": "1559932173",
      "date_live": "0",
      "network": "0",
      "reuse_active": "0",
      "no_personal_member_info": "0",
      "mobile_tour": "0",
      "site_group_id": "0",
      "featured": "0",
      "brand_id": "0",
      "require_atvod_verification": "0",
      "atvod_client_id": "",
      "atvod_operator_id": "",
      "atvod_password": "",
      "atvod_authenticate_profile_id": "",
      "atvod_passport_profile_id": "",
      "atvod_driving_licence_profile_id": "",
      "type_nice": "Membership",
      "site_group_nice": "None"
    }
  }
}
post

Add new tour

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
siteidintegerRequired
tourstringRequired
namestringOptional
urlstringRequired
linkdomainstringRequired
descriptionstringOptional
tour_typestringOptionalDefault: 0
hiddenstringOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
post/api/site/tour
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'siteid' => '2',
		'tour' => 'testTour2',
		'name' => 'test tour',
		'url' => 'http://toomuchmedia.com',
		'linkdomain' => 'http://democash.com',
		'description' => 'this is a test tour description',
		'tour_type' => 1,
		'hidden' => 0
	);

$request = array(
	'method' => 'POST',
	'path' => 'site/tour',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "tourid": 4,
  "tour": {
    "tourid": "4",
    "tour": "testTour2",
    "siteid": "2",
    "networkid": "0",
    "name": "test tour",
    "url": "http://toomuchmedia.com",
    "linkdomain": "democash.com",
    "description": "this is a test tour description",
    "inherit_default_description": "1",
    "thumb": "",
    "thumb_ext": "",
    "third_party_partner_id": "0",
    "spartaurl": "",
    "denyurl": null,
    "inherit_default_denyurl": "1",
    "denypost": "",
    "inherit_default_denypost": "1",
    "approvalurl": null,
    "inherit_default_approvalurl": "1",
    "approvalpost": "",
    "inherit_default_approvalpost": "1",
    "rebillpost": "",
    "inherit_default_rebillpost": "1",
    "creditpost": "",
    "inherit_default_creditpost": "1",
    "chargebackpost": "",
    "inherit_default_chargebackpost": "1",
    "insufficient_fundpost": "",
    "inherit_default_insufficient_fundpost": "1",
    "voidpost": "",
    "inherit_default_voidpost": "1",
    "userpost": "",
    "inherit_default_userpost": "1",
    "userman": "",
    "inherit_default_userman": "1",
    "expirepost": "",
    "inherit_default_expirepost": "1",
    "custom": "",
    "admin_signup_email": "",
    "inherit_default_admin_signup_email": "1",
    "admin_rebill_email": "",
    "inherit_default_admin_rebill_email": "1",
    "admin_cancelled_email": "",
    "inherit_default_admin_cancelled_email": "1",
    "admin_credited_email": "",
    "inherit_default_admin_credited_email": "1",
    "admin_chargeback_email": "",
    "inherit_default_admin_chargeback_email": "1",
    "admin_voided_email": "",
    "inherit_default_admin_voided_email": "1",
    "admin_insufficient_email": "",
    "inherit_default_admin_insufficient_email": "1",
    "admin_void_reversal_email": "",
    "inherit_default_admin_void_reversal_email": "1",
    "admin_credit_reversal_email": "",
    "inherit_default_admin_credit_reversal_email": "1",
    "admin_chargeback_reversal_email": "",
    "inherit_default_admin_chargeback_reversal_email": "1",
    "admin_insufficient_reversal_email": "",
    "inherit_default_admin_insufficient_reversal_email": "1",
    "admin_change_email": "",
    "inherit_default_admin_change_email": "1",
    "upgradeurl": null,
    "inherit_default_upgradeurl": "1",
    "upgradepost": "",
    "inherit_default_upgradepost": "1",
    "allowed_lang": "",
    "inherit_default_allowed_lang": "1",
    "alternativeurl": null,
    "inherit_default_alternativeurl": "1",
    "allowed_lang_track_raw": "0",
    "allowed_lang_track_unq": "0",
    "hidden": "0",
    "mail_member_joined": "",
    "inherit_default_mail_member_joined": "1",
    "mail_member_cancelled": "",
    "inherit_default_mail_member_cancelled": "1",
    "mail_member_rebilled": "",
    "inherit_default_mail_member_rebilled": "1",
    "mail_member_credited": "",
    "inherit_default_mail_member_credited": "1",
    "mail_member_chargedback": "",
    "inherit_default_mail_member_chargedback": "1",
    "mail_member_insufficient": "",
    "inherit_default_mail_member_insufficient": "1",
    "mail_member_voided": "",
    "inherit_default_mail_member_voided": "1",
    "upgradedenyurl": null,
    "inherit_default_upgradedenyurl": "1",
    "upgradedenypost": "",
    "inherit_default_upgradedenypost": "1",
    "prejoinpost": "",
    "inherit_default_prejoinpost": "1",
    "byo_owner": 0,
    "byo_program": "0",
    "byo_owner_only": "0",
    "deleted": "0",
    "niche": "",
    "inherit_default_niche": "1",
    "strack_programid": "0",
    "mail_member_change": "",
    "inherit_default_mail_member_change": "1",
    "change_detailspost": "",
    "inherit_default_change_detailspost": "1",
    "created_date": "1565382572",
    "mail_member_password": "Password Retrieval",
    "inherit_default_mail_member_password": "1",
    "credit_reversal_post": "",
    "inherit_default_credit_reversal_post": "1",
    "chargeback_reversal_post": "",
    "inherit_default_chargeback_reversal_post": "1",
    "void_reversal_post": "",
    "inherit_default_void_reversal_post": "1",
    "insufficient_funds_reversal_post": "",
    "inherit_default_insufficient_funds_reversal_post": "1",
    "mail_member_insufficient_reversal": "",
    "inherit_default_mail_member_insufficient_reversal": "1",
    "mail_member_void_reversal": "",
    "inherit_default_mail_member_void_reversal": "1",
    "mail_member_credit_reversal": "",
    "inherit_default_mail_member_credit_reversal": "1",
    "mail_member_chargeback_reversal": "",
    "inherit_default_mail_member_chargeback_reversal": "1",
    "admin_threshold_email": null,
    "inherit_default_admin_threshold_email": "1",
    "mail_threshold": "",
    "inherit_default_mail_threshold": "1",
    "join_hit_threshold_hour_to_6": null,
    "inherit_default_join_hit_threshold_hour_to_6": "1",
    "join_hit_threshold_hour_to_12": null,
    "inherit_default_join_hit_threshold_hour_to_12": "1",
    "join_hit_threshold_hour_to_18": null,
    "inherit_default_join_hit_threshold_hour_to_18": "1",
    "join_hit_threshold_hour_to_24": null,
    "inherit_default_join_hit_threshold_hour_to_24": "1",
    "mail_member_pending_joined": "",
    "inherit_default_mail_member_pending_joined": "1",
    "mail_member_pre_joined": "",
    "inherit_default_mail_member_pre_joined": "1",
    "mail_member_pending_rebilled": "",
    "inherit_default_mail_member_pending_rebilled": "1",
    "mail_member_pre_rebilled": "",
    "inherit_default_mail_member_pre_rebilled": "1",
    "pre_approvalpost": "",
    "inherit_default_pre_approvalpost": "1",
    "pending_approvalpost": "",
    "inherit_default_pending_approvalpost": "1",
    "pre_rebillpost": "",
    "inherit_default_pre_rebillpost": "1",
    "pending_rebillpost": "",
    "inherit_default_pending_rebillpost": "1",
    "https_use": "0",
    "tour_type": "1",
    "mail_member_nocostjoined": "",
    "inherit_default_mail_member_nocostjoined": "1",
    "nocost_approvalpost": "",
    "inherit_default_nocost_approvalpost": "1",
    "packageurl": null,
    "inherit_default_packageurl": "1",
    "packagedenyurl": null,
    "inherit_default_packagedenyurl": "1",
    "packagedenypost": null,
    "inherit_default_packagedenypost": "1",
    "packagepost": null,
    "inherit_default_packagepost": "1",
    "gateway_join_text": null,
    "inherit_default_gateway_join_text": "1",
    "gateway_join_disclaimer": null,
    "inherit_default_gateway_join_disclaimer": "1",
    "join_disclaimer": null,
    "inherit_default_join_disclaimer": "1",
    "join_text": null,
    "inherit_default_join_text": "1",
    "tokenrebuyurl": "",
    "inherit_default_tokenrebuyurl": "1",
    "tokenrebuydenyurl": "",
    "inherit_default_tokenrebuydenyurl": "1",
    "allowed_lang_track_join": "0",
    "dupeurl": "",
    "inherit_default_dupeurl": "1",
    "mail_member_igm_joined": "Signup Receipt",
    "inherit_default_mail_member_igm_joined": "1",
    "mail_member_pending_ncr": "Verify Your Free Registration",
    "pending_ncrpost": "",
    "inherit_default_mail_member_pending_ncr": "1",
    "https_tracking": "0",
    "gateway_https": "",
    "https_display": "0",
    "inherit_default_https_display": "1",
    "mail_member_conversion": "",
    "inherit_default_mail_member_conversion": "",
    "member_captcha": "0",
    "userman_secret_key": "",
    "inherit_default_userman_secret_key": "1",
    "cancelpost": "",
    "inherit_default_cancelpost": "1",
    "cookie_domain": "0",
    "inherit_default_pending_ncrpost": "1",
    "inherit_default_member_captcha": "1",
    "mail_member_joined_enabled": "0",
    "inherit_mail_member_joined_enabled": "1",
    "inherit_default_https_tracking": "1",
    "created_datetime": "2019-08-09 16:29:32",
    "default": 0,
    "site": {
      "siteid": "2",
      "networkid": "0",
      "site": "testSite",
      "deleted": "0",
      "name": "test site name",
      "type": "0",
      "hidden": "0",
      "date_added": "1559932173",
      "date_live": "0",
      "network": "0",
      "reuse_active": "0",
      "no_personal_member_info": "0",
      "mobile_tour": "0",
      "site_group_id": "0",
      "featured": "0",
      "brand_id": "0",
      "require_atvod_verification": "0",
      "atvod_client_id": "",
      "atvod_operator_id": "",
      "atvod_password": "",
      "atvod_authenticate_profile_id": "",
      "atvod_passport_profile_id": "",
      "atvod_driving_licence_profile_id": "",
      "type_nice": "Membership",
      "site_group_nice": "None",
      "default_tour": {
        "tourid": "2",
        "tour": "testTour",
        "siteid": "2",
        "networkid": "0",
        "name": "test tour name",
        "url": "http://toomuchmedia.com",
        "linkdomain": "democash.com",
        "description": "test tour description",
        "inherit_default_description": "1",
        "thumb": "",
        "thumb_ext": "",
        "third_party_partner_id": "0",
        "spartaurl": "",
        "denyurl": null,
        "inherit_default_denyurl": "1",
        "denypost": "",
        "inherit_default_denypost": "1",
        "approvalurl": null,
        "inherit_default_approvalurl": "1",
        "approvalpost": "",
        "inherit_default_approvalpost": "1",
        "rebillpost": "",
        "inherit_default_rebillpost": "1",
        "creditpost": "",
        "inherit_default_creditpost": "1",
        "chargebackpost": "",
        "inherit_default_chargebackpost": "1",
        "insufficient_fundpost": "",
        "inherit_default_insufficient_fundpost": "1",
        "voidpost": "",
        "inherit_default_voidpost": "1",
        "userpost": "",
        "inherit_default_userpost": "1",
        "userman": "",
        "inherit_default_userman": "1",
        "expirepost": "",
        "inherit_default_expirepost": "1",
        "custom": "",
        "admin_signup_email": "",
        "inherit_default_admin_signup_email": "1",
        "admin_rebill_email": "",
        "inherit_default_admin_rebill_email": "1",
        "admin_cancelled_email": "",
        "inherit_default_admin_cancelled_email": "1",
        "admin_credited_email": "",
        "inherit_default_admin_credited_email": "1",
        "admin_chargeback_email": "",
        "inherit_default_admin_chargeback_email": "1",
        "admin_voided_email": "",
        "inherit_default_admin_voided_email": "1",
        "admin_insufficient_email": "",
        "inherit_default_admin_insufficient_email": "1",
        "admin_void_reversal_email": "",
        "inherit_default_admin_void_reversal_email": "1",
        "admin_credit_reversal_email": "",
        "inherit_default_admin_credit_reversal_email": "1",
        "admin_chargeback_reversal_email": "",
        "inherit_default_admin_chargeback_reversal_email": "1",
        "admin_insufficient_reversal_email": "",
        "inherit_default_admin_insufficient_reversal_email": "1",
        "admin_change_email": "",
        "inherit_default_admin_change_email": "1",
        "upgradeurl": null,
        "inherit_default_upgradeurl": "1",
        "upgradepost": "",
        "inherit_default_upgradepost": "1",
        "allowed_lang": "",
        "inherit_default_allowed_lang": "1",
        "alternativeurl": null,
        "inherit_default_alternativeurl": "1",
        "allowed_lang_track_raw": "0",
        "allowed_lang_track_unq": "0",
        "hidden": "0",
        "mail_member_joined": "",
        "inherit_default_mail_member_joined": "1",
        "mail_member_cancelled": "",
        "inherit_default_mail_member_cancelled": "1",
        "mail_member_rebilled": "",
        "inherit_default_mail_member_rebilled": "1",
        "mail_member_credited": "",
        "inherit_default_mail_member_credited": "1",
        "mail_member_chargedback": "",
        "inherit_default_mail_member_chargedback": "1",
        "mail_member_insufficient": "",
        "inherit_default_mail_member_insufficient": "1",
        "mail_member_voided": "",
        "inherit_default_mail_member_voided": "1",
        "upgradedenyurl": null,
        "inherit_default_upgradedenyurl": "1",
        "upgradedenypost": "",
        "inherit_default_upgradedenypost": "1",
        "prejoinpost": "",
        "inherit_default_prejoinpost": "1",
        "byo_owner": "0",
        "byo_program": "0",
        "byo_owner_only": "0",
        "deleted": "0",
        "niche": "",
        "inherit_default_niche": "1",
        "strack_programid": "0",
        "mail_member_change": "",
        "inherit_default_mail_member_change": "1",
        "change_detailspost": "",
        "inherit_default_change_detailspost": "1",
        "created_date": "1565382572",
        "mail_member_password": "Password Retrieval",
        "inherit_default_mail_member_password": "1",
        "credit_reversal_post": "",
        "inherit_default_credit_reversal_post": "1",
        "chargeback_reversal_post": "",
        "inherit_default_chargeback_reversal_post": "1",
        "void_reversal_post": "",
        "inherit_default_void_reversal_post": "1",
        "insufficient_funds_reversal_post": "",
        "inherit_default_insufficient_funds_reversal_post": "1",
        "mail_member_insufficient_reversal": "",
        "inherit_default_mail_member_insufficient_reversal": "1",
        "mail_member_void_reversal": "",
        "inherit_default_mail_member_void_reversal": "1",
        "mail_member_credit_reversal": "",
        "inherit_default_mail_member_credit_reversal": "1",
        "mail_member_chargeback_reversal": "",
        "inherit_default_mail_member_chargeback_reversal": "1",
        "admin_threshold_email": null,
        "inherit_default_admin_threshold_email": "1",
        "mail_threshold": "",
        "inherit_default_mail_threshold": "1",
        "join_hit_threshold_hour_to_6": null,
        "inherit_default_join_hit_threshold_hour_to_6": "1",
        "join_hit_threshold_hour_to_12": null,
        "inherit_default_join_hit_threshold_hour_to_12": "1",
        "join_hit_threshold_hour_to_18": null,
        "inherit_default_join_hit_threshold_hour_to_18": "1",
        "join_hit_threshold_hour_to_24": null,
        "inherit_default_join_hit_threshold_hour_to_24": "1",
        "mail_member_pending_joined": "",
        "inherit_default_mail_member_pending_joined": "1",
        "mail_member_pre_joined": "",
        "inherit_default_mail_member_pre_joined": "1",
        "mail_member_pending_rebilled": "",
        "inherit_default_mail_member_pending_rebilled": "1",
        "mail_member_pre_rebilled": "",
        "inherit_default_mail_member_pre_rebilled": "1",
        "pre_approvalpost": "",
        "inherit_default_pre_approvalpost": "1",
        "pending_approvalpost": "",
        "inherit_default_pending_approvalpost": "1",
        "pre_rebillpost": "",
        "inherit_default_pre_rebillpost": "1",
        "pending_rebillpost": "",
        "inherit_default_pending_rebillpost": "1",
        "https_use": "0",
        "tour_type": "0",
        "mail_member_nocostjoined": "",
        "inherit_default_mail_member_nocostjoined": "1",
        "nocost_approvalpost": "",
        "inherit_default_nocost_approvalpost": "1",
        "packageurl": null,
        "inherit_default_packageurl": "1",
        "packagedenyurl": null,
        "inherit_default_packagedenyurl": "1",
        "packagedenypost": null,
        "inherit_default_packagedenypost": "1",
        "packagepost": null,
        "inherit_default_packagepost": "1",
        "gateway_join_text": null,
        "inherit_default_gateway_join_text": "1",
        "gateway_join_disclaimer": null,
        "inherit_default_gateway_join_disclaimer": "1",
        "join_disclaimer": null,
        "inherit_default_join_disclaimer": "1",
        "join_text": null,
        "inherit_default_join_text": "1",
        "tokenrebuyurl": "",
        "inherit_default_tokenrebuyurl": "1",
        "tokenrebuydenyurl": "",
        "inherit_default_tokenrebuydenyurl": "1",
        "allowed_lang_track_join": "0",
        "dupeurl": "",
        "inherit_default_dupeurl": "1",
        "mail_member_igm_joined": "Signup Receipt",
        "inherit_default_mail_member_igm_joined": "1",
        "mail_member_pending_ncr": "Verify Your Free Registration",
        "pending_ncrpost": "",
        "inherit_default_mail_member_pending_ncr": "1",
        "https_tracking": "0",
        "gateway_https": "",
        "https_display": "0",
        "inherit_default_https_display": "1",
        "mail_member_conversion": "",
        "inherit_default_mail_member_conversion": "",
        "member_captcha": "0",
        "userman_secret_key": "",
        "inherit_default_userman_secret_key": "1",
        "cancelpost": "",
        "inherit_default_cancelpost": "1",
        "cookie_domain": "0",
        "inherit_default_pending_ncrpost": "1",
        "inherit_default_member_captcha": "1",
        "mail_member_joined_enabled": "0",
        "inherit_mail_member_joined_enabled": "1",
        "inherit_default_https_tracking": "1"
      }
    }
  }
}
delete

Delete tour

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
touridintegerRequired
Responses
200

success

successbooleanOptionalExample: true
delete/api/site/tour
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'tourid' => 4
	);

$request = array(
	'method' => 'DELETE',
	'path' => 'site/tour',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Tour deleted"
}
patch

Edit tour

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
touridintegerRequired
detailsstringOptional
billerstringOptional
disable_inheritstringOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
patch/api/site/tour
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'tourid' => 2,
		'details' => json_encode(array ( 'name' => 'description', 'value' => 'test description',)),
		'disable_inherit' => 1
	);

$request = array(
	'method' => 'PATCH',
	'path' => 'site/tour',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "tourid": 2,
  "result": "tour updated"
}

Last updated

Was this helpful?